.case {
  // padding: 2rem 0;
  padding: 0 2rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;

  cursor: pointer;

  &__title {
    @extend .main-container;

    position: relative;
    text-transform: none;
  }

  &__grid {
    margin: auto 0;
    padding: 7.5rem 0 2.5rem;

    display: flex;
    justify-content: center;
    overflow: hidden;
  }

  &__column {
    margin-right: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-shrink: 0;

    &:last-child {
      margin-right: 0;
    }

    &:nth-child(1),
    &:nth-child(3),
    &:nth-child(4) {
      width: 33rem;
    }

    &:nth-child(1) {
      margin-bottom: 14rem;
    }

    &:nth-child(2) {
      width: 47rem;
      justify-content: flex-start;
    }

    &:nth-child(3) {
      padding: 4rem 0;
    }

    &:nth-child(4) {
      margin-top: 23rem;
    }
  }

  &__image {
    @include size(100%, 100%);
    @include absolute-center;
    object-fit: cover;
    object-position: top;

    &-wrapper {
      width: 100%;
      padding-bottom: 56.25%;
      margin-bottom: 1rem;
      position: relative;
      overflow: hidden;
      box-shadow: 0px 40px 40px rgba(var(--gradient-box-shadow-color-rgb), 0.12);
    }
  }

  &__name {
    background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--font-gradient);
    @include font($primary-font, 3rem, var(--fallback-font-color), 300);

    position: relative;
    z-index: 10;
    margin-bottom: 2.5rem;

    &-wrapper {
      width: 100%;
      margin-bottom: 2rem;
      padding: 2rem;
      box-sizing: border-box;

      position: relative;

      border-width: 1px;
      border-style: solid;
      border-image-source: var(--font-gradient);
      border-image-slice: 1;
    }
  }

  &__desc {
    @include font($primary-font, 1.875rem, var(--primary-font-color), 200);
    position: relative;
    z-index: 10;
  }
  &__button {
    width: 17rem;
  }
}

// TABLET
@include tablet {
  .case {
    &__column {
      &:nth-child(1),
      &:nth-child(3),
      &:nth-child(4) {
        width: 20rem;
      }

      &:nth-child(2) {
        width: 26rem;
      }
    }

    &__name {
      font-size: 2rem;
    }

    &__desc {
      font-size: 1.25rem;
    }
  }
}

// PHONE
@include phone {
  .case {
    padding: 0 0 2.5rem;

    &__grid {
      flex-wrap: wrap;
      justify-content: space-between;
      padding: 0 1rem;
      gap: 1rem;
    }

    &__column {
      margin: 0 !important;
      gap: 1rem;

      &:nth-child(3) {
        width: 100%;
        order: 1;
        flex-direction: row;
        flex-wrap: wrap;
        padding: 0;

        .case__name-wrapper {
          width: 100%;
          order: 1;
        }

        .case__image-wrapper {
          width: calc(50% - 0.5rem);
          padding-bottom: calc(56.25% / 2);
        }
      }

      &:nth-child(2) {
        width: 100%;
        order: 2;
      }

      &:nth-child(1) {
        width: calc(50% - 0.5rem);
        order: 3;
      }

      &:nth-child(4) {
        order: 4;
        width: calc(50% - 0.5rem);
      }
    }

    &__image-wrapper {
      margin: 0 !important;
    }

    &__name {
      font-size: 1.5rem;
      margin-bottom: 1.5rem;
      &-wrapper {
        background: none;
        margin-bottom: 0 !important;
        padding: 1rem;
      }
    }

    &__desc {
      font-size: 1.125rem;
    }

    &__button {
      width: 12.5rem;
    }
  }
}
